import type { IconName } from "../../ui";
import type { UiParameter } from "../../../metabase-lib/v1/parameters/types";
export declare function getParameterIconName(parameter: UiParameter | string): IconName;
export declare function buildHiddenParametersSlugSet(hiddenParameterSlugs: string | null | undefined): Set<unknown>;
export declare function getVisibleParameters(parameters: UiParameter[], hiddenParameterSlugs?: string | null): UiParameter[];
export declare function getParameterWidgetTitle(parameter: UiParameter): string | undefined;
